LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
_oslDateTime Struct Reference

`#include <time.h>`

## Public Attributes
sal_uInt32 | NanoSeconds
| contains the nanoseconds . More...
sal_uInt16 | Seconds
| contains the seconds (0-59). More...
sal_uInt16 | Minutes
| contains the minutes (0-59). More...
sal_uInt16 | Hours
| contains the hour (0-23). More...
sal_uInt16 | Day
| is the day of month (1-31). More...
sal_uInt16 | DayOfWeek
| is the day of week (0-6 , 0 : Sunday). More...
sal_uInt16 | Month
| is the month of year (1-12). More...
sal_Int16 | Year
| is the year. More...

## Member Data Documentation

sal_uInt16 _oslDateTime::Day

is the day of month (1-31).

sal_uInt16 _oslDateTime::DayOfWeek

is the day of week (0-6 , 0 : Sunday).

sal_uInt16 _oslDateTime::Hours

contains the hour (0-23).

sal_uInt16 _oslDateTime::Minutes

contains the minutes (0-59).

sal_uInt16 _oslDateTime::Month

is the month of year (1-12).

sal_uInt32 _oslDateTime::NanoSeconds

contains the nanoseconds .

sal_uInt16 _oslDateTime::Seconds

contains the seconds (0-59).

sal_Int16 _oslDateTime::Year

is the year.

The documentation for this struct was generated from the following file:

- osl/time.h